SSL_CTX_SET_NUM_TICKETS(3)

NAME
SSL_CTX_set_num_tickets, SSL_CTX_get_num_tickets, SSL_set_num_tickets, SSL_get_num_tickets - set and get the number of TLS 1.3 session tickets to be sent

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
int
SSL_CTX_set_num_tickets(SSL_CTX *ctx, size_t num_tickets);
size_t
SSL_CTX_get_num_tickets(const SSL_CTX *ctx);
int
SSL_set_num_tickets(SSL *ssl, size_t num_tickets);
size_t
SSL_get_num_tickets(const SSL *ssl);

DESCRIPTION
These functions set and retrieve the configured number of session tickets for ctx and ssl, respectively.

They are provided only for compatibility with OpenSSL and have no effect in LibreSSL.

RETURN VALUES
SSL_CTX_set_num_tickets() and SSL_set_num_tickets() always return 1.

SSL_CTX_get_num_tickets() and SSL_get_num_tickets() return the previously set number of tickets, or 0 if it has not been set.

SEE ALSO
ssl(3), SSL_CTX_new(3)

HISTORY
These functions first appeared in OpenSSL 1.1.1 and have been available since OpenBSD 7.1.